
using OnlineSalesAutoCrop.CoreAPI.Models.Requests.Integrations;
using OnlineSalesAutoCrop.CoreAPI.Models.Responses.Integrations;
using System.Threading.Tasks;

namespace OnlineSalesAutoCrop.CoreAPI.Services.Contracts.Integrations;

public interface IIntegrationService
{
    Task<CustomerIntegrationResponse> UpsertCustomerAsync(CustomerIntegrationRequest request);
    Task<CustomerByCompanyCodeResponse> GetCustomerByCompanyCodeAsync(CustomerByCompanyCodeRequest request);
    Task<bool> UpsertEmployeeAsync(EmployeeIntegrationRequest request);
    Task<EmployeeIntegrationResponse> GetEmployeeBySalesOrgAsync(EmployeeBySalesOrgCodeRequest request);
}
